#!/bin/sh

# Regenerate humanity-icon-theme tarball without copyrighted Ubuntu logos.
# Original tarball can be found at:
# https://launchpad.net/ubuntu/+archive/primary/+files/humanity-icon-theme_$VERSION.tar.gz

VERSION=$1

tar -xzf humanity-icon-theme_$VERSION.tar.gz
find humanity-icon-theme/               \
  \(                                    \
        -name "distributor-logo.*"      \
     -o -name "*dropbox*.*"             \
     -o -name "drive-harddisk-system.*" \
     -o -name "gnome-main-menu.*"       \
     -o -name "novell-button.*"         \
     -o -name "start-here.*"            \
     -o -name "ubiquity.*"              \
     -o -name "*ubuntu*.*"              \
     -o -name "usb-creator*.*"          \
  \) -delete
tar -cjf humanity-icon-theme-$VERSION-without-logos.tar.bz2 humanity-icon-theme/
